import pmap from 'p-map';
import { getArticlesByIds, getArticlesByNS } from './mw-api.js';
export async function getArticleIds(downloader, redisStore, mw, mainPage, articleIds, articleIdsToIgnore) {
    if (mainPage) {
        await getArticlesByIds([mainPage], downloader, redisStore);
    }
    if (articleIds) {
        await getArticlesByIds(articleIds, downloader, redisStore);
    }
    else {
        await pmap(mw.namespacesToMirror, (namespace) => {
            return getArticlesByNS(mw.namespaces[namespace].num, downloader, redisStore, articleIdsToIgnore);
        }, { concurrency: downloader.speed });
    }
}
//# sourceMappingURL=redirects.js.map