import Downloader from '../Downloader.js';
import MediaWiki from '../MediaWiki.js';
import { ZimCreator } from '@openzim/libzim';
import { Dump } from '../Dump.js';
export declare function downloadFiles(fileStore: RKVS<FileDetail>, retryStore: RKVS<FileDetail>, zimCreator: ZimCreator, dump: Dump, downloader: Downloader, retryCounter?: number): Promise<void>;
export declare function saveArticles(zimCreator: ZimCreator, downloader: Downloader, redisStore: RS, mw: MediaWiki, dump: Dump): Promise<{
    jsModuleDependencies: Set<string>;
    cssModuleDependencies: Set<string>;
}>;
export declare function treatVideo(mw: MediaWiki, dump: Dump, srcCache: KVS<boolean>, articleId: string, videoEl: DominoElement, webp: boolean): Promise<{
    mediaDependencies: string[];
    subtitles: string[];
}>;
export declare function treatSubtitle(trackEle: DominoElement, mw: MediaWiki, articleId: string): Promise<string>;
export declare function treatMedias(parsoidDoc: DominoElement, mw: MediaWiki, dump: Dump, articleId: string, webp: boolean, redisStore: RS): Promise<{
    doc: any;
    mediaDependencies: string[];
    subtitles: string[];
}>;
export declare function applyOtherTreatments(parsoidDoc: DominoElement, dump: Dump): any;
